/**
 * En akkordarbeider fr betaling for hver enhet vedkommende produserer.
 */
class AkkordArbeiderV0 extends AnsattV0 {
  // Feltvariabler
  double prisPerEnhet;
  int antallEnheter;

  // Konstruktrer
  /**
   * Oppretter en akkordarbeider med standardverdier.
   */
  public AkkordArbeiderV0() { // eksplisitt standardkonstruktr
    super();
  }

  /**
   * Oppretter en akkordarbeider med gitt navn. Alle andre felter settes til
   * standardverdier.
   */
  public AkkordArbeiderV0(String fornavn, String etternavn) {
    super(fornavn, etternavn, 0.0);
  }

  /**
   * Oppretter en akkordarbeider med gitt navn, pris per enhet og antallet
   * enheter produsert i innevrende uke.
   */
  public AkkordArbeiderV0(String fornavn, String etternavn, double pris,
      int antall) {
    super(fornavn, etternavn, 0.0);
    prisPerEnhet = pris; // lagrer utvidet tilstand
    antallEnheter = antall;
  }

  // Instansmetoder
  /**
   * Beregner ukelnnen for akkordarbeideren.
   *
   * @param antallTimer
   *          Antallet arbeidstimer i innevrende uke. Denne parameteren brukes
   *          ikke, men m gis for at klassen skal oppfylle samme kontrakt som
   *          superklassen.
   * @return Ukelnnen i kroner og re for innevrende uke.
   */
  @Override
  public double beregnUkelnn(double antallTimer) {
    return beregnUkelnn();
  }

  /**
   * Skriver ut navn, enhetspris og antall enheter for akkordarbeideren.
   */
  @Override
  void skrivTilstand() {
    super.skrivTilstand();
    System.out.printf("Har produsert %d enheter a %.2f kroner%n",
        antallEnheter, prisPerEnhet);
  }

  /**
   * Beregner ukelnnen for akkordarbeideren. Denne metoden utvider kontrakten
   * til superklassen.
   *
   * @return Ukelnnen i kroner og re for innevrende uke.
   */
  public double beregnUkelnn() {
    return antallEnheter * prisPerEnhet;
  }
}