/**
 * En timebetalt arbeider fr betaling for timer vedkommende har arbeidet i
 * innevrende uke, ut fra en fast sats for hver time.
 */
class TimebetaltArbeiderV0 extends AnsattV0 {
  // Konstruktrer
  /**
   * Oppretter en timebetalt arbeider med standardverdier fra superklassen.
   */
  public TimebetaltArbeiderV0() {// eksplisitt standardkonstruktr
    super();
  }

  /**
   * Oppretter en timebetalt arbeider med gitt navn og timelnn.
   *
   * @param fornavn
   *          Fornavnet (og eventuelle mellomnavn) til arbeideren.
   * @param etternavn
   *          Etternavnet til arbeideren.
   * @param timelnn
   *          Betaling per time i kroner og re.
   */
  public TimebetaltArbeiderV0(String fornavn, String etternavn, double timelnn) {
    super(fornavn, etternavn, timelnn);
  }

  // Instansmetoder
  /**
   * Beregner ukelnnen for den timebetalte arbeideren.
   *
   * @param antallTimer
   *          Antallet arbeidstimer (>0) i innevrende uke.
   * @return Ukelnnen i kroner og re for innevrende uke.
   */
  @Override
  public double beregnUkelnn(double antallTimer) {
    return antallTimer * timelnn;
  }
}