
public class VareMedProsentRabatt extends VareMedRabatt {
  int rabattIntervall; // antall varer som m selges for  f rabatt
  double prosentSats; // prosentsats rabatten kes med per intervall
  double maksimalSats; // maksimal rabattsats

  VareMedProsentRabatt(String varenavn, int beholdning, double pris,
      int rabattIntervall, double prosentSats, double maksimalSats) {
    super(varenavn, beholdning, pris); // kaller superklassens konstruktr
    this.rabattIntervall = rabattIntervall;  // Anta > 0.
    this.prosentSats = prosentSats;          // Anta >= 0.0.
    this.maksimalSats = maksimalSats;        // Anta > 0.0.
  }

  @Override
  public double finnRabatt(double prisUtenRabatt, int antallBestilt) {
    int antallIntervaller = antallBestilt / rabattIntervall;
    double rabatt = antallIntervaller * prosentSats;
    if (rabatt > maksimalSats)
      rabatt = maksimalSats;
    return rabatt / 100.0 * prisUtenRabatt;
  }

  @Override
  public String toString() { // overkjrer toString() fra
                             // VareMedEnhetspris-klassen
    return super.toString() + "\tRabatt-intervall: " + rabattIntervall
        + "\tProsentsats: " + prosentSats + "\tMaks.sats: " + maksimalSats;
  }
}